<?php
 
session_start();
include("DMMYSQLG.php");
?>
<html>
<head>
<title>Importar Nominas</title>
</head>
<body>
<h2>!!! Espere un momento Importanto...!!!</h2>
<img src="GIF32.gif" width="123" height="6" id="imagen_espera" name="imagen_espera">
<?php
 
@$nar = fopen('archivos/CATEMP.txt', "r");

while (!feof($nar)){
	$j +=1;
	$cadena = fgets($nar,255);
	$datos = explode("|",$cadena);

	$sql_bus=mysqli_query($con ,"SELECT * FROM dntrab_a WHERE no_nom='$datos[0]'");
	$row_bus=mysqli_fetch_array($sql_bus);
	if($row_bus['no_trab']==''){
		echo 'Nomina : '.$datos[2].'<br>';
	}
	$sql_a=mysqli_query($con ,"UPDATE dndatnom SET banco='$datos[25]' WHERE no_nom='".$row_bus['no_trab']."'");
	$sql_b=mysqli_query($con ,"UPDATE dntrab_b SET rfc='$datos[27]',seg_soc='$datos[26]' WHERE no_nom='".$row_bus['no_trab']."'");
	if (!$sql_a) echo mysqli_error($con).'<br>';
}
fclose ($nar);
echo '<h2>FELICIDADES SE AGREGARON '.$j.' REGISTROS CORRECTAMENTE</h2>';
echo '<meta content="2; url=DNF000_PR.php" HTTP-EQUIV="REFRESH">';
mysqli_close($con);
?>  
</body>
</html>
